
Redmine - Defect #3268

browsing subversion repo fails under apache, but works under WEBrick

2009-04-30 01:18 - Roy Marples

Status: Closed Start date: 2009-04-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8.5   

Resolution: Fixed Affected version: 0.8.3

Description

The happens when browsing subversion directories in the repo - showing the root works as does going sraight to a file, viewing it,

comparing, etc.

Crash log attached.

I'm stumped for ideas as to why this should be.

The server in question runs NetBSD-5.0 and all the required rails foo from pkgsrc HEAD.

Associated revisions

Revision 2722 - 2009-05-10 11:49 - Jean-Philippe Lang

Prevent nil error when retrieving svn version (#3268).

History

#1 - 2009-05-10 11:43 - Jean-Philippe Lang

- Status changed from New to Resolved

Apache is not the problem. This website runs with Apache and SVN browsing works just fine.

I don't know why but the svn --version command seems to fail. I've committed a fix in r2722 that should prevent this error from being raised.

Can you confim please?

#2 - 2009-05-11 12:24 - Roy Marples

Confirmed fix.

Thanks!

#3 - 2009-05-19 20:16 - Eric Davis

- Target version set to 0.8.5

- Resolution set to Fixed

Should be merged into 0.8.x stable branch.

#4 - 2009-09-13 13:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2883.

Files

production.log 4.12 KB 2009-04-29 Roy Marples
